Bug 21367 - RPM 3.0.5 Segfaults on %post error
Summary: RPM 3.0.5 Segfaults on %post error
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-27 05:57 UTC by Bishop Clark
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-27 05:57:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bishop Clark 2000-11-27 05:57:29 UTC
Just a quick bugrep here.  It was brough out by my jumping the gun on a RPM -ba op, which includes
the installation of a bridge init file that chkconfig hates:

My %post is this:
%post
chkconfig --add bridge

Here's the ourput of an rpm -ivh /usr/src/redhat/RPMS/i386/brcfg-0.4-0.i386.rpm :

brcfg                       ##################################################
service bridge does not support chkconfig
execution of brcfg-0.4-0 script failed, exit status 1
Segmentation fault (core dumped)

Let me know if you need more to go on - I'll be updating my init file to be chkconfig-happy, but I can 
undo that if you want a copy of my rpm for testing.

Comment 1 Jeff Johnson 2001-07-25 21:12:32 UTC
I don't believe this bug exists in rpm-4.0.3, so I'm gonna close. Please
reopen if I'm wrong.


Note You need to log in before you can comment on or make changes to this bug.